# Class SWTResourceRegistryKeyFactory

java.lang.Object
org.eclipse.e4.ui.css.core.resources.ResourceRegistryKeyFactory
org.eclipse.e4.ui.css.swt.resources.SWTResourceRegistryKeyFactory

public class SWTResourceRegistryKeyFactory extends ResourceRegistryKeyFactory

## Constructor Summary

Constructors
Constructor
Description
`SWTResourceRegistryKeyFactory()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`createKey(CSSValue value)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SWTResourceRegistryKeyFactory

public SWTResourceRegistryKeyFactory()

## Method Details

### createKey

public Object createKey(CSSValue value)

Overrides:
  `createKey` in class `ResourceRegistryKeyFactory`